package ornekler1C.II;

public class Insan {
	private String isim, TCkimlik;
	private Akvaryum akvaryum;
	private Kedi kedi;
	
	public Insan(String isim, String tCkimlik) {
		this.isim = isim;
		TCkimlik = tCkimlik;
	}

	public String getIsim() {
		return isim;
	}

	public String getTCkimlik() {
		return TCkimlik;
	}
	
	public String kendiniTanit( ) {
		String info = "Adm " + isim;
		if( kedi != null )
			info += " ve " + kedi.getIsim() + " isimli bir kedim var";
		if( akvaryum != null ) {
			if( akvaryum.getBalikSayisi() == 0 )
				info += " akvaryumum da var ama iinde balk yok";
			else
				info += " akvaryumumda " + akvaryum.getBalikSayisi() 
				+ " adet balk var";
		}
		return info;
	}

	public void setAkvaryum(Akvaryum akvaryum) {
		this.akvaryum = akvaryum;
	}

	public void setKedi(Kedi kedi) {
		this.kedi = kedi;
	}
	
	public Kedi getKedi( ) { return kedi; }
	
	
	
	

}
